ranges::views::exclusive_scan_fn Struct Reference
Inheritance diagram for ranges::views::exclusive_scan_fn:

## Public Member Functions

template<typename T , typename Fun = plus>
constexpr auto | operator() (T init, Fun fun={}) const
Public Member Functions inherited from ranges::views::exclusive_scan_base_fn
template<typename Rng , typename T , typename Fun = plus>
CPP_TEMPLATE_AUX_0 | c (requires exclusive_scan_constraints< Rng, T, Fun >) ccconstexpr exclusive_scan_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Fun | operator() (Rng &&rng, T init, Fun fun=Fun{}) const

## Related Functions

(Note that these are not member functions.)
constexpr exclusive_scan_fn | exclusive_scan {}

## Additional Inherited Members

Public Attributes inherited from ranges::views::exclusive_scan_base_fn
CPP_TEMPLATE_AUX_0 | T